# Containers

This is a collection of CI-focused containers for testing. 

# Setup

Install and run `podman` and activate the Rest API:

```bash
sudo apt-get -y install podman
podman system service -t 0 &
```

# Build containers

```bash
cd ubuntu/22_04/MinimalDeps
podman build -t ubuntu_22_04_minimal_deps .
```

# Run containers

```bash
podman run -it -v $LOCAL_SOURCE_DIR:/source ubuntu_22_04_minimal_deps:latest /bin/bash

```
