#include "Rotation.h"

Rotation::Rotation(double angle, Axis axis, const Point3& loc, const Vector3& customAxis)
    : mAngle(angle),
      mAxis(axis),
      mPoint(loc),
      mCustomAxis(customAxis),
      mMatrix()
{
    updateMatrix();
}

const SquareMatrix3& Rotation::getMatrix() const
{
    return mMatrix;
}

bool Rotation::isIdentity() const
{
    return mMatrix.isIdentity();
}

bool Rotation::isEqual(const Rotation& rotation) const
{
    return mMatrix == rotation.mMatrix;
}

void Rotation::updateMatrix()
{

}
