#pragma once

#include "PathElement.h"

enum class CurveType
{
    ARC,
    QUADRATIC_BEZIER,
    CUBIC_BEZIER,
    UNKNOWN
};

template<std::size_t DIM>
class Curve : public PathElement<DIM>
{
public:
    Curve::Type getType() const override
    {
        return Curve::Type::CURVE;
    }

    virtual CurveType getCurveType() const = 0;
};
