#pragma once

#include "AbstractGeometricItem.h"

namespace ntk{
class Rectangle : public AbstractGeometricItem
{
public:
    Rectangle(double width, double height);

    double getHeight() const;

    double getWidth() const;

    Bounds getBounds() const override;

    Type getType() const override;

    double getRadius() const;

    void setRadius(double radius);

private:
    double mWidth{0};
    double mHeight{0};
    double mRadius{ 0.0 };
};

}
