#pragma once

#include "AbstractGeometricItem.h"

class Circle : public AbstractGeometricItem
{
public:
    Circle(double radius = 0.5);

    double getRadius() const;

    double getMinorRadius() const;

    Bounds getBounds() const override;

    Type getType() const override;

    bool isEllipse() const;

    void setMinorRadius(double radius);

private:
    double mMinorRadius{ 0.5 };
    double mRadius{ 0.5 };
};
